Bug 97782 - [maintainer] update CUPS to 1.2.0
Summary: [maintainer] update CUPS to 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Johnson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-24 11:30 UTC by Sergey Akifyev
Modified: 2006-06-22 21:16 UTC (History)
0 users

See Also:


Attachments
cups-base.diff (75.82 KB, patch)
2006-05-24 11:30 UTC, Sergey Akifyev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Akifyev 2006-05-24 11:30:15 UTC
Update CUPS to 1.2.0:
 * add new user and group cups:cups, the UID/GID is 193 (Don't forget to update porter's handbook)
 * do not split CUPS into 2 ports, as it makes port unmaintainable
 * add OPTIONS support
 * generally simplify things

Please note, that:
 * cups-lpr must be removed after this update
 * I tried to shut up portlint, but it is not always possible
 * PORTSDOCS respect will be done in next revision, I need feedback now

How-To-Repeat: N/A
Comment 1 Michael Johnson freebsd_committer 2006-05-24 23:17:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ahze

Grab
Comment 2 Michael Johnson freebsd_committer 2006-05-24 23:47:22 UTC
State Changed
From-To: open->feedback

Does not fetch. Can you please update mirrors? 
====================<phase 1: make checksum>==================== 
=> cups-1.2.0-source.tar.bz2 doesn't seem to exist in /tmp/distfiles/. 
=> Attempting to fetch from file:///distcache//. 
fetch: file:///distcache//cups-1.2.0-source.tar.bz2: No such file or directory 
=> Attempting to fetch from ftp://ftp.funet.fi/pub/mirrors/ftp.easysw.com/pub/cups//. 
fetch: ftp://ftp.funet.fi/pub/mirrors/ftp.easysw.com/pub/cups//cups-1.2.0-source.tar.bz2: Not Found 
=> Attempting to fetch from ftp://ftp.ntua.gr/pub/gnu/cups//. 
fetch: ftp://ftp.ntua.gr/pub/gnu/cups//cups-1.2.0-source.tar.bz2: Not Found 
=> Attempting to fetch from ftp://ftp.easysw.com/pub/cups//. 
fetch: ftp://ftp.easysw.com/pub/cups//cups-1.2.0-source.tar.bz2: Not Found 
=> Attempting to fetch from ftp://ftp.fisek.com.tr/pub/cups//. 
fetch: ftp://ftp.fisek.com.tr/pub/cups//cups-1.2.0-source.tar.bz2: Unauthorized 
=> Attempting to fetch from ftp://ftp.mpg.goe.ni.schule.de/pub/internet/printing/cups//. 
fetch: ftp://ftp.mpg.goe.ni.schule.de/pub/internet/printing/cups//cups-1.2.0-source.tar.bz2: Service Unavailable 
=> Attempting to fetch from ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/. 
fetch: ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/cups-1.2.0-source.tar.bz2: Not Found 
=> Couldn't fetch it - please try to retrieve this 
=> port manually into /tmp/distfiles/ and try again. 
*** Error code 1
Comment 3 Michael Johnson freebsd_committer 2006-05-26 13:02:22 UTC
State Changed
From-To: feedback->feedback

I fixed fetch by defining CUPS_VERSION=${PORTVERSION} but 
durring make install tinderbox prints 

/bin/mkdir -p /usr/local/etc/cups 
install  -o root -g wheel -m 444 /work/a/ports/print/cups-base/work/cups-1.2.0/conf/cupsd.conf /usr/local/etc/cups/cupsd.conf.N 
cd /usr/local/etc/cups; if test ! -f cupsd.conf; then /bin/cp -p cupsd.conf.N cupsd.conf; fi 
install  -o root -g wheel -m 444 /work/a/ports/print/cups-base/work/cups-1.2.0/conf/mime.convs /usr/local/etc/cups/mime.convs.N 
cd /usr/local/etc/cups; if test ! -f mime.convs; then /bin/cp -p mime.convs.N mime.convs; fi 
install  -o root -g wheel -m 444 /work/a/ports/print/cups-base/work/cups-1.2.0/conf/mime.types /usr/local/etc/cups/mime.types.N 
cd /usr/local/etc/cups; if test ! -f mime.types; then /bin/cp -p mime.types.N mime.types; fi 
/bin/mkdir -p /var/spool/cups /var/spool/cups/tmp 
/usr/sbin/chown -R cups:cups /var/spool/cups 
chown: cups: Invalid argument 
*** Error code 1 

Stop in /a/ports/print/cups-base. 
================================================================ 
build of /usr/ports/print/cups-base ended at Fri May 26 12:01:13 UTC 2006 

Can you please submit a new patch?
Comment 4 Nathan Whitehorn 2006-06-02 02:23:31 UTC
+CONFIGURE_ARGS+=	--localstatedir=/var			\
+			--disable-pam				\
+			--disable-slp				\

Why is PAM disabled? Every FreeBSD release since early versions of
RELENG_5 have it, and it's very useful -- we have to authenticate
printing against LDAP (and had to compile a custom version of CUPS
1.1.23 to do it). In addition, the port works fine as is if you simply
remove that line. Please at least make PAM an option.
-Nathan
Comment 5 Sergey Akifyev 2006-06-02 07:06:45 UTC
On ÞÔ, 2006-06-01 at 20:23 -0500, Nathan Whitehorn wrote:
> +CONFIGURE_ARGS+=	--localstatedir=/var			\
> +			--disable-pam				\
> +			--disable-slp				\
> 
> Why is PAM disabled? Every FreeBSD release since early versions of
> RELENG_5 have it, and it's very useful -- we have to authenticate
> printing against LDAP (and had to compile a custom version of CUPS
> 1.1.23 to do it). In addition, the port works fine as is if you simply
> remove that line. Please at least make PAM an option.

PAM support was disabled historically.
I didn't want to enable it in 1.2.0 version, not to break something.
I'll add optional PAM in PORTREVISION=1 .

> -Nathan
-- 
regards,
Sergey Akifyev
AGAVA Software Ltd <http://agava.com>
PGP key available from:
ftp://ftp.gascom.ru/pub/PGP-keys/asa.txt
Comment 6 Michael Johnson freebsd_committer 2006-06-22 21:16:11 UTC
State Changed
From-To: feedback->closed

Committed with a few corrections, thanks